org.codehaus.groovy.classgen.asm.sc

## Class StaticTypesWriterControllerFactoryImpl

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.sc.StaticTypesWriterControllerFactoryImpl

- All Implemented Interfaces:
    WriterControllerFactory

      public class StaticTypesWriterControllerFactoryImpl
      extends java.lang.Object
      implements WriterControllerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticTypesWriterControllerFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WriterController` | `makeController(WriterController normalController)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticTypesWriterControllerFactoryImpl

          public StaticTypesWriterControllerFactoryImpl()

  - ### Method Detail

    - #### makeController

          public WriterController makeController(WriterController normalController)

      Specified by:
        `makeController` in interface `WriterControllerFactory`